#
# Initialize for gameplay
#

# Prepare map
function crime:reset

# Reset player
execute as @a[tag=!ignore.global] run function crime:reset_player

# Adjust player teams
team empty wardens
team empty prisoners
team empty escapees

execute if score crime_gametype value matches 1 run function crime:gamemode_classic
execute if score crime_gametype value matches 2 run function crime:gamemode_topsyturvy
execute if score crime_gametype value matches 3 run function crime:gamemode_buildup
execute if score crime_gametype value matches 4 run function crime:gamemode_ice

execute at @e[limit=1,type=armor_stand,tag=crime_marker_setting_villagAHHHHH] if block ~ ~1 ~ minecraft:lever[powered=true] at @e[type=minecraft:armor_stand] run summon minecraft:villager

# Loadouts
execute as @a[tag=!ignore.global,team=wardens] run function crime:loadout_warden
execute as @a[tag=!ignore.global,team=prisoners] run function crime:loadout_prisoner

# Messages
tellraw @a[tag=!ignore.global] {"text":"Welcome to Cops and Robbers 4: High Security!","color":"dark_aqua","extra":[{"text":"  By Podcrash","color":"gray"}]}

# Adjust Game State & other scoreboards
scoreboard players set crime_gamestate value 1
scoreboard players set crime_teleportal value 1
scoreboard players set crime_gatelocked value 1

# Adjust access
tag @a[tag=!ignore.global] remove access
tag @a[tag=!ignore.global,team=wardens] add access
